> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/reference-material/api/query-string-parameters/language-code.md).

# Language Code

The following API entry points provide the ability to search for records based on the language of post:

* GET /posts
* GET /posts/stats

With each of these endpoints, the **language\_code** parameter can be used to filter posts by language:

* **language\_code** – a list of two letter [ISO\_639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. The codes must be given in all upper case letters.

Valid two letter codes include the following examples:

* EN – for English
* ES – for Spanish (Español)
* PT - for Portuguese (Português)

This is an array parameter which allows multiple options to be added to a list in the same request. The syntax involves appending empty square braces to the parameter before assigning it to one of the desired options. This can be repeated for multiple options. In the following example, only English or Spanish language posts are included in the results.

* GET /posts?language\_code\[]=EN\&language\_code\[]=ES

Note that when the **language\_code** parameter is omitted, posts of all languages are included in the results.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/language-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
